Module
Inhalte
Index 🔎︎

# Funktion UBound

Gibt die obere Begrenzung eines Arrays zurück.

## Syntax:

    UBound (ArrayName [, Dimension])

## Rückgabewert:

Integer

## Parameter:

ArrayName: Der Name des Arrays, dessen obere (UBound) oder untere (LBound) Begrenzung Sie bestimmen möchten.

[Dimension]: Integer-Wert, der angibt, für welche Dimension die obere (UBound) oder untere (LBound) Begrenzung zurückgegeben werden soll. Wenn Sie hier keinen Wert angeben, wird die Begrenzung der ersten Dimension zurückgegeben.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

9 Index außerhalb des definierten Bereichs

## Beispiel:

    Sub ExampleUboundLbound

    Dim sVar(10 To 20) As String

        Print LBound(sVar())

        Print UBound(sVar())

    End Sub

    Sub ExampleUboundLbound2

    Dim sVar(10 To 20,5 To 70) As String

        Print LBound(sVar()) ' liefert 10 zurück

        Print UBound(sVar()) ' liefert 20 zurück

        Print LBound(sVar(),2) ' liefert 5 zurück

        Print UBound(sVar(),2) ' liefert 70 zurück

    End Sub